IF  NOT EXISTS (SELECT * FROM sys.objects 
					WHERE object_id = OBJECT_ID(N'[dbo].[GLB_FUNCIONALIDADE_GLB_SERVICO]') 
					AND type in (N'U')) 
BEGIN
 
	SET ANSI_NULLS ON
	SET QUOTED_IDENTIFIER ON
	SET ANSI_PADDING ON
	CREATE TABLE [dbo].[GLB_FUNCIONALIDADE_GLB_SERVICO](
	 
		[CD_FUNCIONALIDADE] [int] NOT NULL ,
	 	[CD_SERVICO] [int] NOT NULL  ,

	 CONSTRAINT [PK_GLB_FUNCIONALIDADE_GLB_SERVICO] PRIMARY KEY CLUSTERED 
	(	[CD_FUNCIONALIDADE],
		[CD_SERVICO]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, 
	ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
	) ON [PRIMARY]



	ALTER TABLE [dbo].[GLB_FUNCIONALIDADE_GLB_SERVICO]  WITH CHECK 
		ADD  CONSTRAINT [FK_GLB_FUNCIONALIDADE_GLB_SERVICO_GLB_FUNCIONALIDADE] FOREIGN KEY([CD_FUNCIONALIDADE])
	REFERENCES [dbo].[GLB_FUNCIONALIDADE] ([CD_CTR])

	ALTER TABLE [dbo].[GLB_FUNCIONALIDADE_GLB_SERVICO] CHECK CONSTRAINT [FK_GLB_FUNCIONALIDADE_GLB_SERVICO_GLB_FUNCIONALIDADE] 


	ALTER TABLE [dbo].[GLB_FUNCIONALIDADE_GLB_SERVICO]  WITH CHECK 
		ADD  CONSTRAINT [FK_GLB_FUNCIONALIDADE_GLB_SERVICO_GLB_SERVICO] FOREIGN KEY([CD_SERVICO])
	REFERENCES [dbo].[GLB_SERVICO] ([CD_CTR])

	ALTER TABLE [dbo].[GLB_FUNCIONALIDADE_GLB_SERVICO] CHECK CONSTRAINT [FK_GLB_FUNCIONALIDADE_GLB_SERVICO_GLB_SERVICO]

END